header .logo-desktop,
header .logo-mobile-menu {
  width: 132px;
}

header {
  background-color: #f6f6f6;
}

/* FOOTER */
footer {
  background-color: #f6f6f6;
  margin-top: 3rem;
}
footer .logo-desktop {
  max-width: 200px;
}
footer h3 {
  margin-top: 0;
  font-size: 1.125rem;
  color: #b8bdbf;
}
footer .footer__nav li a:not(.btn) {
  display: block;
  padding: 5px 0;
  font-size: 0.875rem;
  color: #6c6c6c;
  transition: 0.3s;

  font-weight: 500;
}
footer .footer__nav li a i {
  font-size: 0.625rem;
}
footer .footer__nav li a:hover {
  color: var(--primary-color-light);
}
footer .address :is(span, a):not(.btn) {
  color: #6c6c6c;
  font-size: 0.875rem;
  line-height: 25px;
  transition: 0.3s;

  font-weight: 500;
}
footer .address a:not(.btn):hover {
  color: var(--primary-color-light);
}

.mapa-footer {
  max-height: 250px !important;
  height: 100%;
}
.copyright-footer .btn.selos {
  min-height: unset;
}
@media screen and (max-width: 992.05px) {
  footer .social {
    justify-content: center;
  }
}

.bg-copy {
  background-color: #f6f6f6;
}

.btn-banner {
  background-color: transparent;
  color: white;
}
.btn-banner:hover {
  background-color: #ffffffbb;
  color: #242424;
}

.card.card--23 {
  all: unset;
  box-sizing: border-box;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-flow: column nowrap;
  gap: 1rem;
  background-color: var(--dark);
  background-image:
    linear-gradient(-45deg, var(--dark), var(--grey)), var(--card-background);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-blend-mode: multiply, normal;
  border-radius: 1rem;
  padding: 1rem;
  position: relative;
  height: 100%;
}
.card.card--23:focus-within,
.card.card--23:hover {
  box-shadow: 0 0 0 2px var(--secondary-color);
}
.card.card--23 .card__title {
  color: #fff;
  font-size: 1.25rem;
  text-shadow: 0 0 0.25rem var(--dark);
  margin: 0;
  min-height: calc(1.25rem * 2 * 1.3);
}
.card.card--23 .card__link {
  z-index: 1;
  min-height: 44px;
  min-width: 44px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  flex-flow: row nowrap;
  padding: 0.5rem 0.75rem;
  font-size: 0.875rem;
  text-transform: uppercase;
  transition: var(--transition);
  color: var(--light);
  font-weight: 600;
  border: 2px solid currentColor;
  border-radius: 99px;
}
.card.card--23 .card__link > span {
  width: 0;
  max-width: fit-content;
  opacity: 0;
  transition: var(--transition);
}
.card.card--23 .card__link:focus > span,
.card.card--23 .card__link:hover > span {
  width: 100px;
  opacity: 1;
  margin-right: 0.5rem;
}
.card.card--23 .card__link::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: -1;
  backface-visibility: visible;
}
.card.card--23 .card__link:focus,
.card.card--23 .card__link:hover {
  border-color: var(--primary-color);
  background-color: var(--primary-color);
}

.shadow-19 {
  box-shadow:
    rgba(50, 50, 93, 0.25) 0 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0 1px 3px -1px;
}
.title-subtitle {
  position: relative;
  padding-left: 12px; /* espaço exato da barra */
  margin-bottom: 0;
  font-weight: 600;
  line-height: 1.2;
}

.title-subtitle::after {
  content: "";
  position: absolute;
  left: 0;
  top: 6px; /* começa um pouco abaixo do topo */
  width: 2px; /* espessura fina igual do print */
  height: 38px; /* altura fixa pra ficar igual */
  background-color: var(--primary-color); /* cor semelhante ao print */
}

.title-subtitle span {
  display: block;
  font-size: 16px;
  color: #6c6c6c;
  line-height: 1.2;
  font-family: var(--secondary-font);
  text-transform: none; /* no print NÃO está uppercase */
  font-weight: 400;
  margin-top: 4px;
}

.title-subtitle-ctt {
  position: relative;
  padding-left: 12px; /* espaço exato da barra */
  margin-bottom: 0;
  font-weight: 600;
  line-height: 1.2;
}

.title-subtitle-ctt span {
  display: block;
  font-size: 16px;
  color: #6c6c6c;
  line-height: 1.2;
  font-family: var(--secondary-font);
  text-transform: none; /* no print NÃO está uppercase */
  font-weight: 400;
  margin-top: 4px;
}

/* ================= CLIENTES ================= */
.clientes .clientes__item {
  display: grid;
  place-items: center;
  padding: 1rem;
  border: 1px solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  overflow: hidden;
}
.clientes .clientes__item img {
  width: 100%;
  aspect-ratio: 1/1;
  object-fit: contain;
  margin: 0 auto;
  opacity: 0.75;
  border-radius: var(--bs-border-radius-sm);
  transition: opacity var(--transition);
}
.clientes .clientes__item:hover img {
  opacity: 1;
}

/* ================= DEPOIMENTOS ================= */
.testimonial .testimonial-author-image {
  width: 100%;
  max-width: 64px;
  aspect-ratio: 1/1;
  object-fit: cover;
  border-radius: 999px;
}

.galeria-1 {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
}

@media screen and (max-width: 576px) {
  .galeria-1 {
    grid-template-columns: repeat(1, 1fr);
  }
}
.galeria-1__thumb {
  display: flex !important;
  width: 100%;
  height: 260px;
  position: relative;
  border-radius: 6px;
  overflow: hidden;
}
.galeria-1__thumb::before {
  content: "\f002";
  font-family: fontAwesome;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.7);
  font-size: 2.2rem;
  color: #fff;
  border-radius: 100%;
  scale: 0;
  opacity: 0;
  transition: all 0.4s ease;
}
.galeria-1__thumb:hover::before {
  scale: 1;
  opacity: 1;
  border-radius: 0;
}
.galeria-1__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-servico {
  opacity: 0.7;
  border: 2px solid #e9e9e9;
  background-color: #fafafa;
}

.card-servico:hover {
  opacity: 0.9;
  border: 2px solid #e9e9e9;
  background: #f6f6f6;
}

.mvv-cards p {
  text-align: center;
  font-family: var(--secondary-font) !important;
  color: #6c6c6c;
}
.mvv-cards h2 {
  font-weight: 700 !important;
  font-family: var(--primary-font) !important;
}

.cta-default {
  background:
    linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    url("../imagens/cta.webp");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 300px;
  border-radius: 20px;
}
.title-bar-left {
  position: relative;
  display: inline-block;
  padding-left: 14px;
  margin-top: 14px;

  font-weight: 600;
  line-height: 1.1;
  color: #1f2a33;
}

.title-bar-left::before {
  content: "";
  position: absolute;
  left: 0;
  top: 4px;
  width: 2px;
  height: calc(100% - 8px);
  background: #d8a33b;
}

.clientes-wrapper {
  position: relative;
  overflow: hidden;
}

/* sombra esquerda */
.clientes-wrapper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 160px;
  height: 100%;
  z-index: 2;
  pointer-events: none;
  background: linear-gradient(to right, #fff 0%, transparent 100%);
}

/* sombra direita */
.clientes-wrapper::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 160px;
  height: 100%;
  z-index: 2;
  pointer-events: none;
  background: linear-gradient(to left, #fff 0%, transparent 100%);
}

.clientes-wrapper .splide__list img {
  width: 90px;
  height: 90px;
  mix-blend-mode: multiply !important;
  object-fit: contain;
}

.gutter-x-0 {
  --bs-gutter-x: 0 !important;
}

/* .max-h300 {
  max-height: 400px;
  height: 100%;
} */

.bg-diferenciais {
  background: linear-gradient(
    180deg,
    rgba(27, 42, 49, 1) 0%,
    rgba(15, 23, 27, 1) 100%
  );
}

.card-diferenciais {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: var(--radius-16, 16px);
  border: 1.5px solid rgba(238, 238, 238, 0.05);
  background: rgba(250, 250, 250, 0.02);
  margin-bottom: 16px;
}

.card-diferenciais h2 {
  color: #fafafa;
}
.card-diferenciais span {
  color: #c3c3c3;
  margin-bottom: 8px;
}

.h2-barra-serv {
  position: relative;
  text-align: center;
  color: #b8bdbf;
  font-weight: 600;
}

.h2-barra-serv::after {
  content: "";
  display: block;
  width: 60px; /* Ajuste o tamanho da barra */
  height: 4px; /* Ajuste a espessura da barra */
  background-color: var(--primary-color); /* Cor da barra */
  margin: 10px auto 0; /* Centraliza horizontalmente e ajusta margens */
}

/* Wrapper responsivo */
.table-responsive-custom {
  width: 100%;
  overflow-x: auto;
  border-radius: 12px;
}

/* Tabela */
.table-custom {
  width: 100%;
  border-collapse: collapse;
  min-width: 900px;
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
  font-family: Arial, sans-serif;
}

/* Cabeçalho */
.table-custom thead {
  background: linear-gradient(90deg, #111, #333);
  color: #fff;
}

.table-custom th {
  padding: 16px;
  text-align: left;
  font-size: 14px;
  letter-spacing: 0.5px;
  white-space: nowrap;
}

/* Linhas */
.table-custom td {
  padding: 14px 16px;
  font-size: 14px;
  color: #444;
  border-bottom: 1px solid #eee;
}

/* Zebra */
.table-custom tbody tr:nth-child(even) {
  background: #fafafa;
}

/* Hover bonito */
.table-custom tbody tr {
  transition: all 0.2s ease;
}

.table-custom tbody tr:hover {
  background: #f1f5ff;
  transform: scale(1.002);
}

/* Última linha sem borda */
.table-custom tbody tr:last-child td {
  border-bottom: none;
}

/* Scroll custom (opcional) */
.table-responsive-custom::-webkit-scrollbar {
  height: 8px;
}

.table-responsive-custom::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 10px;
}

.table-responsive-custom::-webkit-scrollbar-track {
  background: transparent;
}

.table-custom th {
  padding: 16px;
  text-align: left;
  font-size: 14px;
  letter-spacing: 0.5px;

  white-space: normal; /* permite quebrar */
  word-break: break-word; /* quebra palavras grandes */
}

.table.table-custom > tbody > tr:nth-child(even) > td {
  background-color: #f8fafc !important;
}

.table.table-custom > tbody > tr:nth-child(odd) > td {
  background-color: #ffffff !important;
}

/* =============================== ASIDE =============================== */

.aside nav::-webkit-scrollbar {
  width: 3px;
}

.aside nav::-webkit-scrollbar-thumb {
  background-color: var(--dark);
}

.aside {
  background-color: #f1f1f1;
  border-radius: 5px 0 0 5px;
  margin: 0;
  box-sizing: border-box;
  padding: 3em;
  position: fixed;
  z-index: 999999;
  height: auto;
  width: 300px;
  right: -300px;
  top: 50%;
  transform: translateY(-50%);
  color: #fff;
  transition: 0.5s ease-in-out;
  display: flex;
  flex-flow: column;
  justify-content: space-between;
}

.aside::before {
  content: "\f100";
  font-family: "FontAwesome";
  width: 40px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px 0 0 5px;
  background-color: var(--primary-color);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: -40px;
  cursor: pointer;
  box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.5);
  transition: 0.3s;
}

.aside:hover {
  right: 0;
}

.aside:hover::before {
  opacity: 0;
}

.aside a {
  color: #fff;
}

.aside :is(a, .aside-title) {
  color: var(--dark);
}

.aside-title {
  margin: 0;
}

.aside:hover .aside__menu {
  animation-name: anima__aside;
  animation-duration: 0.7s;
  animation-timing-function: ease-in-out;
}

.aside .aside__menu li a {
  display: block;
  padding: 5px;
  margin: 5px 0;
  font-size: 12px;
  border-left: 2px solid var(--dark);
  transition: 0.3s color;
}

.aside .aside__menu li a:hover,
.aside .aside__menu li a.active-menu-aside {
  border-left: 4px solid var(--primary-color);
  color: var(--primary-color);
}

@keyframes anima__aside {
  0% {
    transform: translateX(1000px);
  }

  100% {
    transform: translateX(0);
  }
}

.navbar-nav .nav-link {
  border-radius: 20px;
}

.navbar-nav .nav-link.active {
  background-color: #242424;
  color: white;
  border-radius: 20px;
}

.navbar-nav .nav-link:hover {
  background-color: #242424;
  color: white;
  border-radius: 20px;
}
